#include <ncurses.h>


#define MAXCHAN 48
#define MAXWATCH 32
#define VERSION "0.2.5"

char colorcfg;
char clockcfg;
char bordercfg;
char topspacecfg;
char regexwatch;

struct kanal {
  char used; // set 1 if filled with data
  char file[32];
  char name[32]; // channel name
  char program[MAXCHAN+1][32]; // no more strlen than 31
  int watch[MAXCHAN+1];
  int starttid[MAXCHAN+1]; // time from 00:00 in minutes untill programstart
};

struct kanal kanaler[16]; // 16 channels, enough?

char watch[MAXWATCH][32]; 
int forking;
char tty[32];
int max_x,max_y;  // max window co-ordinates of stdscr
char alarm1;
char alarm2;
char extalarm1[256];
char extalarm2[256];


void print_time(int maxx);
void print_channels(void);
void init_curses(void);
void init_colors(void);
void kill_curses(void);
void print_curr_prgms(int chann);
void special_print(int chann);
void actual_print(int chann, int i);
void print_all(char ww, WINDOW *wwn, char wt, WINDOW *wtn);
void check_resize(char ww, WINDOW *wwn, char wt, WINDOW *wtn);
void print_border(void);

WINDOW *print_reload_win(void);
WINDOW *print_watch_win(void);
WINDOW *print_todays_watch(void); 
void kill_win(WINDOW *killwin);


void strip_trailing_crnl(char *p);
void strip_cpcr(char *buf);
int reload(int bootup);
int filldata(char *file);
void printdata(void);
void printwatch(void);
inline void initdata(void);
int findfreewatch(void);
int findfreekanal(void);

